pgpPktOnepass_s(3)

NAME
pgpPktOnepass_s - 5.4.

SYNOPSIS

#include <rpmpgp.h>

  Data Fields
byte version
byte sigtype
byte hash_algo
byte pubkey_algo
byte signid [8]
byte nested

DETAILED DESCRIPTION

5.4.

One-Pass Signature Packets (Tag 4)

The One-Pass Signature packet precedes the signed data and contains enough information to allow the receiver to begin calculating any hashes needed to verify the signature. It allows the Signature Packet to be placed at the end of the message, so that the signer can compute the entire signed message in one pass.

A One-Pass Signature does not interoperate with PGP 2.6.x or earlier.

The body of this packet consists of:

A one-octet version number. The current version is 3.

A one-octet signature type. Signature types are described in section 5.2.1.

A one-octet number describing the hash algorithm used.

A one-octet number describing the public key algorithm used.

An eight-octet number holding the key ID of the signing key.

A one-octet number holding a flag showing whether the signature is nested. A zero value indicates that the next packet is another One-Pass Signature packet that describes another signature to be applied to the same message data.

Note that if a message contains more than one one-pass signature, then the signature packets bracket the message; that is, the first signature packet after the message corresponds to the last one-pass packet and the final signature packet corresponds to the first one- pass packet.

Definition at line 551 of file rpmpgp.h.

FIELD DOCUMENTATION

  byte pgpPktOnepass_s::hash_algo

hash algorithm.

Definition at line 554 of file rpmpgp.h.

  byte pgpPktOnepass_s::nested

Definition at line 557 of file rpmpgp.h.

  byte pgpPktOnepass_s::pubkey_algo

public key algorithm.

Definition at line 555 of file rpmpgp.h.

  byte pgpPktOnepass_s::signid[8]

key ID of signer.

Definition at line 556 of file rpmpgp.h.

  byte pgpPktOnepass_s::sigtype

signature type.

Definition at line 553 of file rpmpgp.h.

  byte pgpPktOnepass_s::version

version number (3).

Definition at line 552 of file rpmpgp.h.

AUTHOR

Generated automatically by Doxygen for rpm from the source code.